> ## Documentation Index
> Fetch the complete documentation index at: https://docs.byblend.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add freeform risk factor text

> Attach unprocessed raw text risk factors to a patient. Text will be processed and parsed asynchronously.



## OpenAPI

````yaml /openapi-public.yml post /api/v1/patients/{patient_id}/risk_factors/raw_text
openapi: 3.0.3
info:
  title: Blend API
  version: 1.0.0
  description: API for Blend
servers:
  - url: https://api.byblend.com
    description: Blend production server
security:
  - bearerAuth: []
tags:
  - name: Orders
    description: Order management endpoints
  - name: Patients
    description: Patient management endpoints
  - name: Reports
    description: Reporting endpoints
  - name: Products and Materials
    description: Product catalog and inventory endpoints
  - name: Electronic Prescriptions
    description: Electronic prescription management endpoints
  - name: Prescriptions
    description: Prescription management endpoints
  - name: Authentication
    description: Authentication endpoints
  - name: Notifications
    description: User management endpoints
  - name: Prescribers
paths:
  /api/v1/patients/{patient_id}/risk_factors/raw_text:
    post:
      tags:
        - Patients
      summary: Add freeform risk factor text
      description: >-
        Attach unprocessed raw text risk factors to a patient. Text will be
        processed and parsed asynchronously.
      parameters:
        - name: patient_id
          in: path
          required: true
          description: >-
            Unique identifier for the patient, either UUID or external ID (e.g.
            my-patients-128318AA2) if you have provided one during patient
            creation or update.
          schema:
            type: string
            format: uuid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                allergies:
                  type: string
                  example: Penicillin, latex
                conditions:
                  type: string
                  example: Asthma, hypertension
                medications:
                  type: string
                  example: vyvanse/metformin
      responses:
        '201':
          description: Raw text risk factors added successfully
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````